## ring-clojure 1.6.2

=== debian/changelog ===
ring-clojure (1.6.2-4ubuntu2) hirsute; urgency=medium

  * Reupload 1.6.2-4 now that we had a successful build of 1.6.2-4ubuntu1
    (really 1.6.2-3). We can sync from Debian for the next release.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 12 Jan 2021 22:09:26 -0500

ring-clojure (1.6.2-4ubuntu1) hirsute; urgency=medium

  * Reupload 1.6.2-3 now that Debian #976529 is fixed in potemkin-clojure.
    Once this is published, we can revert back to 1.6.2-4 (see LP: #1909744).

 -- Logan Rosen <logan@ubuntu.com>  Mon, 11 Jan 2021 22:15:21 -0500

ring-clojure (1.6.2-4) unstable; urgency=medium

  * Team upload.
  * Rebuild using leiningen.
  * d/watch: update to v4 and use git mode.
  * d/tests: add autopkgtests.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 22 Dec 2020 13:50:37 -0500

ring-clojure (1.6.2-3) unstable; urgency=medium

  * Team upload.
  * d/*.poms: install jars in maven-repo. (Closes: #977571)
  * d/control: use dh-compat and update to dh13.
  * d/control: Standards-Version update to 4.5.1. Add Rules-Requires-Root.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Wed, 16 Dec 2020 18:24:40 -0500

ring-clojure (1.6.2-2) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Sort filenames for tests found using find, to ensure reproducible
    lists of test files, as order matters for successful test runs. This
    fixes the intermittent FTBFS due to test failures (Closes: #918437).
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Apollon Oikonomopoulos ]
  * Work around jh_classpath not being able to process jars in multiple
    packages
  * Bump Standards-Version to 4.3.0; no changes needed
  * d/copyright: bump debian/ years
  * Bump dh compat to 11; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 08 Feb 2019 22:32:59 +0200

ring-clojure (1.6.2-1) unstable; urgency=medium

  * Initial release (Closes: #855749)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 04 Aug 2017 19:16:23 -0400
