=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk
include /usr/share/dpkg/pkg-info.mk

export LEIN_HOME=$(CURDIR)/.lein
export LEIN_OFFLINE=true
SUB_PROJECTS=ring-core ring-servlet ring-jetty-adapter

%:
	dh $@ --with javahelper --with maven_repo_helper

override_dh_auto_configure:
	cd debian && ln -sf /usr/share/maven-repo .

override_dh_auto_build:
	for sub in $(SUB_PROJECTS) ; do \
		cd $$sub; \
		lein pom ../debian/$$sub.pom.xml; \
		lein jar; \
		cd target && ln -sf $$sub-$(DEB_VERSION_UPSTREAM).jar $$sub.jar; \
		cd ../..; \
	done

override_dh_auto_test:
	for sub in $(SUB_PROJECTS) ; do \
		cd $$sub; \
		lein test; \
		cd ..; \
	done

override_dh_clean:
	rm -f debian/maven-repo
	for sub in $(SUB_PROJECTS) ; do \
		rm -Rf $$sub/target; \
		rm -f debian/$$sub.pom.xml; \
	done
	dh_clean
