## ring-clojure 1.8.2

=== debian/changelog ===
ring-clojure (1.8.2-3) unstable; urgency=medium

  * d/rules: fix double build issue (Closes: #1046176, #1049524)
  * d/patches: mark lein local patches not-needed upstream

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 15 Feb 2024 21:22:48 -0500

ring-clojure (1.8.2-2) unstable; urgency=medium

  * prevent publishing bogus jetty version in pom deps
  * d/control:
    + add myself to Uploaders
    + depend on clojure package providing 1.x
    + use headless jdk in build-deps
    - drop obsolete test-only build-deps
  * add built artifacts to maven-repo on the fly
  * use --java-lib to get rid of d/*.jlibs files

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 08 Feb 2023 11:29:30 -0500

ring-clojure (1.8.2-1) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: update the VCS links to point to the right repository.

  [ Jérôme Charaoui ]
  * New upstream version 1.8.2
  * d/control:
    + fix Maintainer field, should be clojure-team
    + clj-time optional for build
    + bump Standards-Version, no changes needed
  * d/patches: refresh patches for new upstream version
  * d/patches: add patches to fix 2 test cases
  * d/rules: make subproject loops more robust
  * d/rules: honor nocheck build option
  * d/tests: run autopkgtests with bultitude
  * add d/gbp.conf with clojure-team defaults

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 30 Jan 2023 15:41:54 -0500
