=== debian/control ===
--- 
+++ 
@@ -1,31 +1,28 @@
 Source: ring-clojure
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
+Maintainer: Debian Clojure Maintainers <team+clojure@tracker.debian.org>
+Uploaders:
+ Apollon Oikonomopoulos <apoikos@debian.org>,
+ Jérôme Charaoui <jerome@riseup.net>,
 Build-Depends: debhelper-compat (= 13),
-               default-jdk,
+               default-jdk-headless,
                javahelper,
                maven-repo-helper,
-               libclojure-java,
+               libclojure-java (>= 1.11.1-2),
                libring-codec-clojure (>= 1.1.2),
                libcommons-io-java,
                libcommons-fileupload-java,
-               libclj-time-clojure (>= 0.15.2),
+               libclj-time-clojure (>= 0.15.2) <!nocheck>,
                libcrypto-random-clojure (>= 1.2.1),
                libcrypto-equality-clojure (>= 1.0.0-2),
-               libring-core-clojure (>= 1.6.2-3),
                libservlet-api-java,
-               libring-servlet-clojure,
                libjetty9-java,
                libclj-http-clojure,
-               libnrepl-clojure <!nocheck>,
-               libcomplete-clojure <!nocheck>,
                leiningen,
-Standards-Version: 4.5.1
-Vcs-Git: https://salsa.debian.org/java-team/ring-clojure.git
-Vcs-Browser: https://salsa.debian.org/java-team/ring-clojure
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/clojure-team/ring-clojure.git
+Vcs-Browser: https://salsa.debian.org/clojure-team/ring-clojure
 Homepage: https://github.com/ring-clojure/ring
 Rules-Requires-Root: no
