=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk
include /usr/share/dpkg/pkg-info.mk

export LEIN_HOME=$(CURDIR)/.lein
export LEIN_OFFLINE=true
SUB_PROJECTS=ring-core ring-servlet ring-jetty-adapter

%:
	dh $@ --with javahelper --with maven_repo_helper

override_dh_auto_configure:
	cp -rs /usr/share/maven-repo debian

override_dh_auto_build:
	$(foreach sub,$(SUB_PROJECTS), \
		set -e; \
		cd $(CURDIR)/$(sub); \
		lein pom ../debian/$(sub).pom.xml; \
		lein jar; \
		cd target && ln -sf $(sub)-$(DEB_VERSION_UPSTREAM).jar $(sub).jar; \
		cd $(CURDIR); \
		mkdir -p debian/maven-repo/ring/$(sub)/debian; \
		cp -s $(CURDIR)/$(sub)/target/$(sub).jar \
			debian/maven-repo/ring/$(sub)/debian/$(sub)-debian.jar; \
		cp -s $(CURDIR)/debian/$(sub).pom.xml \
			debian/maven-repo/ring/$(sub)/debian/$(sub)-debian.pom; \
	)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(foreach sub,$(SUB_PROJECTS), \
		set -e; \
		cd $(CURDIR)/$(sub); \
		lein test; \
	)
endif

override_dh_clean:
	rm -f .lein-failures
	rm -Rf .lein debian/maven-repo
	for sub in $(SUB_PROJECTS) ; do \
		rm -f .lein-failures; \
		rm -f debian/$$sub.pom.xml; \
		rm -Rf $$sub/target; \
	done
	dh_clean
