=== debian/tests/control ===
Tests: build-core
Depends: @, clojure
Restrictions: superficial

Tests: build-servlet
Depends: @, clojure
Restrictions: superficial

Tests: build-jetty
Depends: @, clojure
Restrictions: superficial, allow-stderr

Tests: unittests-core
Depends: @, clojure, libbultitude-clojure

Tests: unittests-servlet
Depends: @, clojure, libbultitude-clojure

Tests: unittests-jetty
Depends: @, clojure, libbultitude-clojure
Restrictions: allow-stderr
